<?xml version="1.0" encoding="UTF-8"?>
<config xmlns="http://web-harvest.sourceforge.net/schema/1.0/config" scriptlang="groovy">
    <!--
     Import transaction component.

     Input parameters:
       _sys_transaction_id - ID of the transaction created in previous step.
     -->

    <script><![CDATA[
        import com.workfusion.odf.core.Intake;

        String transactionId = _sys_transaction_id.toString();
        String transactionJson = _sys_transaction_json.toString();
        def transaction = Intake.init(binding).get().importTransactionFromJson(transactionId, transactionJson);
    ]]></script>

    <export include-original-data="true">
        <single-column name="_sys_transaction_json" value=""/>
    </export>
</config>
